# 修改订单

`PUT` `/v1/trade/order`

该接口用于修改订单的价格，数量。

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `order_id` | string | Yes | 订单 ID |
| `quantity` | string | Yes | 改单数量，例如：`200` |
| `price` | string | No | 改单价格，例如：`388.5`. `LO` / `ELO` / `ALO` / `ODD` / `LIT` 订单必填 |
| `trigger_price` | string | No | 触发价格，例如：`388.5`. `LIT` / `MIT` 订单必填 |
| `limit_offset` | string | No | 指定价差。`TSLPAMT` / `TSLPPCT` 订单在 `limit_depth_level` 为 0 时必填 |
| `trailing_amount` | string | No | 跟踪金额。`TSLPAMT` 订单必填 |
| `trailing_percent` | string | No | 跟踪涨跌幅。`TSLPPCT` 订单必填 |
| `remark` | string | No | 备注 (最大 64 字符) |
| `limit_depth_level` | integer | No | 指定买卖档位，`TSLPAMT` / `TSLPPCT` 订单必填 |
| `monitor_price` | string | No | 监控价格，`TSLPAMT` / `TSLPPCT` 订单必填 |
| `trigger_count` | integer | No | 触发次数，`LIT` / `MIT` / `TSLPAMT` / `TSLPPCT` 订单必填 |
| `attached_params` | object | No | 附加单参数（止盈止损） |
| `attached_params.attached_order_type` | string | No | 附加单订单类型。**可选值：**, `PROFIT_TAKER` - 止盈，`STOP_LOSS` - 止损，`BRACKET` - 括号单 |
| `attached_params.profit_taker_price` | string | No | 止盈触发价格 |
| `attached_params.stop_loss_price` | string | No | 止损触发价格 |
| `attached_params.time_in_force` | string | No | 附加单有效期类型。**可选值：**, `Day` - 当日有效，`GTC` - 撤单前有效，`GTD` - 到期前有效（此时继承主单 expire_date） |
| `attached_params.expire_time` | integer | No | 到期时间（Unix 时间戳，单位秒） |
| `attached_params.profit_taker_id` | integer | No | 止盈单 ID，修改现有止盈单时填写 |
| `attached_params.stop_loss_id` | integer | No | 止损单 ID，修改现有止损单时填写 |
| `attached_params.cancel_all_attached` | boolean | No | 是否取消所有附加单 |
| `attached_params.main_id` | integer | No | 主单 ID |
| `attached_params.quantity` | string | No | 附加单数量 |
| `attached_params.market_price` | string | No | 市价 |
| `attached_params.activate_order_type` | string | No | 触发后提交的订单类型，例如 `LIT`（限价单）或 `MIT`（市价单） |
| `attached_params.profit_taker_submit_price` | string | No | 止盈限价委托价格，`activate_order_type` 为 `LIT` 时必填 |
| `attached_params.stop_loss_submit_price` | string | No | 止损限价委托价格，`activate_order_type` 为 `LIT` 时必填 |
| `attached_params.activate_rth` | string | No | 触发后提交的订单是否允许盘前盘后。**可选值：**, `RTH_ONLY` - 不允许盘前盘后，`ANY_TIME` - 允许盘前盘后 |
| `attached_params.profit_taker_depth_level` | integer | No | 止盈限价委托价格的买卖档位，`activate_order_type` 为 `LIT` 时有效 |
| `attached_params.stop_loss_depth_level` | integer | No | 止损限价委托价格的买卖档位，`activate_order_type` 为 `LIT` 时有效 |

## Request Example

```bash
curl --request PUT \
  --url 'https://openapi.longbridge.com/v1/trade/order' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"order_id":"<order_id>","quantity":"<quantity>","price":"<price>","trigger_price":"<trigger_price>","limit_offset":"<limit_offset>","trailing_amount":"<trailing_amount>","trailing_percent":"<trailing_percent>","remark":"<remark>","limit_depth_level":0,"monitor_price":"<monitor_price>","trigger_count":0,"attached_params":{"attached_order_type":"<attached_order_type>","profit_taker_price":"<profit_taker_price>","stop_loss_price":"<stop_loss_price>","time_in_force":"<time_in_force>","expire_time":0,"profit_taker_id":0,"stop_loss_id":0,"cancel_all_attached":false,"main_id":0,"quantity":"<quantity>","market_price":"<market_price>","activate_order_type":"<activate_order_type>","profit_taker_submit_price":"<profit_taker_submit_price>","stop_loss_submit_price":"<stop_loss_submit_price>","activate_rth":"<activate_rth>"}}'
```

## Response

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {}
}
```
